<main class="container">
    <div class="flex flex-col my-6">
		<div class="py-2 -my-2 overflow-x-auto sm:-mx-6 sm:px-6 lg:-mx-8 lg:px-8">
			<div class="inline-block min-w-full overflow-hidden align-middle border-b border-gray-200 shadow sm:rounded-lg">
				<input type="text" name="searchTableVolunteer" placeholder="Recherchez parmi les bénévoles">
				<table id="searchTableVolunteer" class="min-w-full">
					<caption class="text-left text-xl m-3 font-bold">Administration des <span class="text-orange uppercase">Bénévoles</span></caption>
					<thead>
						<tr>
							<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
								Prénom
							</th>
							<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
								Nom
							</th>
							<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
								Adresse email
							</th>
                            <th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
								Numéro de téléphone
							</th>
							<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
								Tee-shirt
							</th>
							<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
								Participation à la Garden Party
							</th>
							<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
								Propose un hébergement
							</th>
						</tr>
					</thead>

					<tbody id="tbodytableAdmin" class="bg-white">
						{% if listeBenevoles|length > 0 %}
							{% for e in range(0, listeBenevoles|length - 1) %}
								{% set benevole = listeBenevoles[e] %}
								<tr class="{{ e }}">
									<td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
										{{ benevole.user.surname }}
									</td>
									<td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
										{{ benevole.user.name }}
									</td>
                                    <td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
										{{ benevole.user.email }}
									</td>
									<td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
										{{ benevole.user.phone }}
									</td>
									<td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">
										{% if benevole.haveTeeShirt %}
											<span class="inline-flex px-2 text-xs font-semibold leading-5 text-green-800 bg-green-100 rounded-full">
												Oui
											</span>

										{% else %}
											<span class="inline-flex px-2 text-xs font-semibold leading-5 text-red-800 bg-red-100 rounded-full">
												Non
											</span>
										{% endif %}
									</td>
									<td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">
										{% if benevole.user.gardenParty %}
											<span class="inline-flex px-2 text-xs font-semibold leading-5 text-green-800 bg-green-100 rounded-full">
												Oui
											</span>

										{% else %}
											<span class="inline-flex px-2 text-xs font-semibold leading-5 text-red-800 bg-red-100 rounded-full">
												Non
											</span>
										{% endif %}
									</td>
									<td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">
										{% if benevole.user.hosting %}
											<span class="inline-flex px-2 text-xs font-semibold leading-5 text-green-800 bg-green-100 rounded-full">
												Oui
											</span>

										{% else %}
											<span class="inline-flex px-2 text-xs font-semibold leading-5 text-red-800 bg-red-100 rounded-full">
												Non
											</span>
										{% endif %}
									</td>
								</tr>
							{% endfor %}
						{% endif %}
					</tbody>
				</table>
			</div>
		</div>
		<div id="tableBenevole" class="paginate">
			{% for i in range(1, (listeBenevoles|length / 10)|round(0,"ceil")) %}
				{% if i > 0 %}
					<p>{{ i }}</p>
				{% endif %}
			{% endfor %}
		</div>
	</div>
</main>
